package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.chengzhiya.task.mhdfscheduler.runnable.MHDFRunnable;
import cn.dg32z.libs.chengzhiya.task.mhdfscheduler.scheduler.EntityScheduler;
import cn.dg32z.libs.chengzhiya.task.mhdfscheduler.scheduler.GlobalRegionScheduler;
import cn.dg32z.libs.chengzhiya.task.mhdfscheduler.scheduler.MHDFScheduler;
import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.LonAntiCheat;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Entity;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/Delay.class */
public final class Delay extends AbstractCommand {
    public Delay() {
        super("Delay a command", "lonac.commands.delay", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length < 2) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.delay.usage"));
            return;
        }
        try {
            int delay = Integer.parseInt(args[0]);
            StringBuilder commandBuilder = new StringBuilder();
            for (int i = 1; i < args.length; i++) {
                commandBuilder.append(args[i]).append(" ");
            }
            String command = commandBuilder.toString().trim();
            startStopRunnable(sender, command, delay);
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.delay.message").replace("%command%", command).replace("%delay%", String.valueOf(delay)));
        } catch (NumberFormatException e) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.delay.invalid"));
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [cn.dg32z.lon.commands.sub.Delay$1] */
    private void startStopRunnable(final CommandSender sender, final String command, int delay) {
        new MHDFRunnable() { // from class: cn.dg32z.lon.commands.sub.Delay.1
            private boolean canRun = false;

            public void run() {
                if (this.canRun) {
                    cancel();
                    if (sender instanceof Entity) {
                        Entity entity = sender;
                        EntityScheduler entityScheduler = MHDFScheduler.getEntityScheduler();
                        LonAntiCheat lonAntiCheat = LonAntiCheat.getInstance();
                        CommandSender commandSender = sender;
                        String str = command;
                        entityScheduler.runTask(lonAntiCheat, entity, task -> {
                            Bukkit.dispatchCommand(commandSender, str);
                        }, (Runnable) null);
                        return;
                    }
                    GlobalRegionScheduler globalRegionScheduler = MHDFScheduler.getGlobalRegionScheduler();
                    LonAntiCheat lonAntiCheat2 = LonAntiCheat.getInstance();
                    CommandSender commandSender2 = sender;
                    String str2 = command;
                    globalRegionScheduler.runTask(lonAntiCheat2, task2 -> {
                        Bukkit.dispatchCommand(commandSender2, str2);
                    });
                    return;
                }
                this.canRun = true;
            }
        }.runTaskTimerAsynchronously(LonAntiCheat.getInstance(), 0L, delay * 20);
    }
}
